## pluma-debug pluma-debug |

## Functions

void | pluma_debug_init ()
void | pluma_debug ()
void | pluma_debug_message ()

## Types and Values

enum | PlumaDebugSection
#define | DEBUG_VIEW
#define | DEBUG_SEARCH
#define | DEBUG_PRINT
#define | DEBUG_PREFS
#define | DEBUG_PLUGINS
#define | DEBUG_TAB
#define | DEBUG_DOCUMENT
#define | DEBUG_COMMANDS
#define | DEBUG_APP
#define | DEBUG_SESSION
#define | DEBUG_UTILS
#define | DEBUG_METADATA
#define | DEBUG_WINDOW
#define | DEBUG_LOADER
#define | DEBUG_SAVER

## Object Hierarchy

## Description

## Functions

### pluma_debug_init ()

    void
    pluma_debug_init (void);

### pluma_debug ()

    void
    pluma_debug (PlumaDebugSection section,
                 const gchar *file,
                 gint line,
                 const gchar *function);

### pluma_debug_message ()

    void
    pluma_debug_message (PlumaDebugSection section,
                         const gchar *file,
                         gint line,
                         const gchar *function,
                         const gchar *format,
                         ...);

## Types and Values

### enum PlumaDebugSection

#### Members

PLUMA_NO_DEBUG |  |
PLUMA_DEBUG_VIEW |  |
PLUMA_DEBUG_SEARCH |  |
PLUMA_DEBUG_PRINT |  |
PLUMA_DEBUG_PREFS |  |
PLUMA_DEBUG_PLUGINS |  |
PLUMA_DEBUG_TAB |  |
PLUMA_DEBUG_DOCUMENT |  |
PLUMA_DEBUG_COMMANDS |  |
PLUMA_DEBUG_APP |  |
PLUMA_DEBUG_SESSION |  |
PLUMA_DEBUG_UTILS |  |
PLUMA_DEBUG_METADATA |  |
PLUMA_DEBUG_WINDOW |  |
PLUMA_DEBUG_LOADER |  |
PLUMA_DEBUG_SAVER |  |

### DEBUG_VIEW

    #define DEBUG_VIEW PLUMA_DEBUG_VIEW,    __FILE__, __LINE__, G_STRFUNC

### DEBUG_SEARCH

    #define DEBUG_SEARCH PLUMA_DEBUG_SEARCH,  __FILE__, __LINE__, G_STRFUNC

### DEBUG_PRINT

    #define DEBUG_PRINT PLUMA_DEBUG_PRINT,   __FILE__, __LINE__, G_STRFUNC

### DEBUG_PREFS

    #define DEBUG_PREFS PLUMA_DEBUG_PREFS,   __FILE__, __LINE__, G_STRFUNC

### DEBUG_PLUGINS

    #define DEBUG_PLUGINS PLUMA_DEBUG_PLUGINS, __FILE__, __LINE__, G_STRFUNC

### DEBUG_TAB

    #define DEBUG_TAB PLUMA_DEBUG_TAB,     __FILE__, __LINE__, G_STRFUNC

### DEBUG_DOCUMENT

    #define DEBUG_DOCUMENT PLUMA_DEBUG_DOCUMENT,__FILE__, __LINE__, G_STRFUNC

### DEBUG_COMMANDS

    #define DEBUG_COMMANDS PLUMA_DEBUG_COMMANDS,__FILE__, __LINE__, G_STRFUNC

### DEBUG_APP

    #define DEBUG_APP PLUMA_DEBUG_APP,     __FILE__, __LINE__, G_STRFUNC

### DEBUG_SESSION

    #define DEBUG_SESSION PLUMA_DEBUG_SESSION, __FILE__, __LINE__, G_STRFUNC

### DEBUG_UTILS

    #define DEBUG_UTILS PLUMA_DEBUG_UTILS,   __FILE__, __LINE__, G_STRFUNC

### DEBUG_METADATA

    #define DEBUG_METADATA PLUMA_DEBUG_METADATA,__FILE__, __LINE__, G_STRFUNC

### DEBUG_WINDOW

    #define DEBUG_WINDOW PLUMA_DEBUG_WINDOW,  __FILE__, __LINE__, G_STRFUNC

### DEBUG_LOADER

    #define DEBUG_LOADER PLUMA_DEBUG_LOADER,  __FILE__, __LINE__, G_STRFUNC

### DEBUG_SAVER

    #define DEBUG_SAVER PLUMA_DEBUG_SAVER,   __FILE__, __LINE__, G_STRFUNC